# InputService | windmill-client
Documentation for windmill-client

# Class InputService

- Defined in src/services.gen.ts:6150

#####
Index

### Constructors

constructor

### Methods

createInput
deleteInput
getArgsFromHistoryOrSavedInput
getInputHistory
listInputs
updateInput

##
Constructors

### constructor

- new InputService(): InputService

- #### Returns InputService

##
Methods

### `Static` createInput

- createInput(data): CancelablePromise <string>

- Create an Input for future use in a script or flow

  #### Parameters

  - data: CreateInputData

    The data for the request.

  #### Returns CancelablePromise <string>

  string Input created

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:6234

### `Static` deleteInput

- deleteInput(data): CancelablePromise <string>

- Delete a Saved Input

  #### Parameters

  - data: DeleteInputData

    The data for the request.

  #### Returns CancelablePromise <string>

  string Input deleted

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:6278

### `Static` getArgsFromHistoryOrSavedInput

- getArgsFromHistoryOrSavedInput(data): CancelablePromise <unknown>

- Get args from history or saved input

  #### Parameters

  - data: GetArgsFromHistoryOrSavedInputData

    The data for the request.

  #### Returns CancelablePromise <unknown>

  unknown args

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:6186

### `Static` getInputHistory

- getInputHistory(data): CancelablePromise < GetInputHistoryResponse >

- List Inputs used in previously completed jobs

  #### Parameters

  - data: GetInputHistoryData

    The data for the request.

  #### Returns CancelablePromise < GetInputHistoryResponse >

  Input Input history for completed jobs

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:6162

### `Static` listInputs

- listInputs(data): CancelablePromise < ListInputsResponse >

- List saved Inputs for a Runnable

  #### Parameters

  - data: ListInputsData

    The data for the request.

  #### Returns CancelablePromise < ListInputsResponse >

  Input Saved Inputs for a Runnable

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:6208

### `Static` updateInput

- updateInput(data): CancelablePromise <string>

- Update an Input

  #### Parameters

  - data: UpdateInputData

    The data for the request.

  #### Returns CancelablePromise <string>

  string Input updated

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:6258